
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the RFIDSOCKLIB_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// RFIDSOCKLIB_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
#ifdef RFIDSOCKLIB_EXPORTS
#define RFIDSOCKLIB_API __declspec(dllexport)
#else
#define RFIDSOCKLIB_API __declspec(dllimport)
#endif

typedef int (CALLBACK* RCVDATE)(unsigned int* cCardId,char* cIp,int nVolt,void* pUserData);

struct TAGDATA
{
	int addr;
	unsigned int tagID;
	bool bVoltLow;	//ǩѹ־,true:Ƿѹ,false:

	int year;
	int month;
	int day;
	int hour;
	int minute;
	int second;
};

extern "C"
{
RFIDSOCKLIB_API bool Start(int port);

RFIDSOCKLIB_API void Stop();

RFIDSOCKLIB_API bool SetRecvProcAddr(RCVDATE RcvAddr,void* pUserData);


RFIDSOCKLIB_API int GetTagCount();
RFIDSOCKLIB_API int GetTagData(TAGDATA buf[],int count);

}